(*******************************************************************)
(*  This is part of SymbolicKAT, it is distributed under the       *)
(*  terms of the GNU Lesser General Public License version 3       *)
(*           (see file LICENSE for more details)                   *)
(*                                                                 *)
(*  Copyright 2014: Damien Pous. (CNRS, LIP - ENS Lyon, UMR 5668)  *)
(*******************************************************************)

open Common

val clear: unit -> unit

val node: int -> key -> unit
val node_l: int -> int -> unit
val node_r: int -> int -> unit
val leaf: int -> string -> string -> unit
val leaf_t: int -> var -> int -> unit
val line: int -> int -> unit
val ce: int -> int -> unit
val ok: int -> int -> unit
val skip: int -> int -> unit
val entry: int -> unit

val render: hk:bool -> quote:string -> string


val save: unit -> unit
val restore: unit -> unit
